<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <header>
      <nav>
        <ul>
          {% if user.is_authenticated %}
          <li>
            <a href="{% url 'show_my_tasks' %}">My tasks</a>
          </li>
          <li>
            <a href="{% url 'list_projects' %}">My projects</a>
          </li>
          <li>
            <a href="{% url 'logout' %}">Logout</a>
          </li>
          {% else %}
          <li>
            <a href="{% url 'login' %}">Login</a>
          </li>
          <li>
            <a href="{% url 'signup' %}">Signup</a>
          </li>
          {% endif %}
        </ul>
      </nav>
    </header>
    <main>
      <div>
        <h1>My Tasks</h1>
        {% if not tasks %}
        <p>You have no tasks</p>
        {% else %}
        <table>
          <thead>
            <tr>
              <th>Name</th>
              <th>Start date</th>
              <th>Due date</th>
            </tr>
          </thead>
          <tbody>
            {% for task in tasks %}
            <tr>
              <td>{{ task.name }}</td>
              <td>{{ task.start_date }}</td>
              <td>{{ task.due_date }}</td>
              <td>{{ task.is_comleted|yesno:"Done,no" }}</td>
            </tr>
            {% endfor %}
          </tbody>
        </table>
        {% endif %}
      </div>
    </main>
  </body>
</html>
